## xfstt 0.9.10

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,17 @@
-MAXOPT = -O6 -fomit-frame-pointer -ffast-math
+#MAXOPT = -O6 -fomit-frame-pointer -ffast-math
 MISCOPT =
 OPT = $(MISCOPT) $(MAXOPT)
 
 CFLAGS = $(OPT) -DMAGNIFY=0 -DNDEBUG
 #CFLAGS = -fprofile-arcs -ftest-coverage -DMAGNIFY=0
-#CFLAGS = -g -Wall -pedantic $(MISCOPT) -DMAGNIFY=0
-#CFLAGS = -O -Wall -pedantic -DDEBUG $(MISCOPT) -DMEMDEBUG
+CFLAGS = -g -Wall -pedantic $(MISCOPT) -DMAGNIFY=0
+#CFLAGS = -O -Wall -pedantic -DDEBUG $(MISCOPT)
 
-LFLAGS = -L/usr/X11R6/lib
-#LFLAGS = -g -L/usr/X11R6/lib
+LFLAGS = -L/usr/X11R6/lib -L/usr/openwin/lib/X11
+LFLAGS = -g -L/usr/X11R6/lib
+
+CC = c++
+LD = c++
 
 OBJS =	RAFile.o	\
 	TTFont.o	\
@@ -29,12 +32,11 @@
 	CvtTable.o	\
 	Os2Table.o	\
 	KernTable.o	\
+	EbdtTable.o	\
+	EblcTable.o	\
 	RasterHints.o	\
 	RasterScale.o	\
 	RasterDraw.o
-
-CC = g++
-LD = g++
 
 all : xfstt
 
@@ -49,11 +51,15 @@
 	rm *.o;							\
 	rm xfstt showttf perftest patchttf
 
-xfstt : $(OBJS) xfstt.o
-	$(LD) -o $@ $(OBJS) xfstt.o $(LFLAGS) -lm
+xfstt : $(OBJS) xfstt.o encoding.o
+	$(LD) -o $@ $(OBJS) xfstt.o encoding.o $(LFLAGS) -lm
 
 xfstt.o : xfstt.cpp xfstt.h ttf.h arch.h Makefile
-	$(CC) $(CFLAGS) -c $< -I/usr/X11R6/include/X11/fonts
+	$(CC) $(CFLAGS) -c $< -I/usr/X11R6/include/X11/fonts	\
+		-I/usr/X11R6/include/
+
+encoding.o : encoding.cpp encoding.h Makefile
+	$(CC) $(CFLAGS) -c $<
 
 showttf : $(OBJS) showttf.o ttf.h arch.h Makefile
 	$(LD) -o $@ $(OBJS) showttf.o $(LFLAGS) -lX11 -lm
@@ -66,7 +72,7 @@
 
 tgz:
 	cp xfstt.tgz xfstt.tgz.bak	;			\
-	tar cvf xfstt.tar Makefile *.h *cpp *.txt *.sh *lsm *spec &&	\
+	tar cvf xfstt.tar Makefile *.h *cpp *.txt *.sh *lsm *1x &&\
 	tar rvf xfstt.tar font.properties FAQ INSTALL CHANGES COPYING &&\
 	gzip -9 xfstt.tar		&&			\
 	cp xfstt.tar.gz /dosd/source/xfstt.tgz &&		\
@@ -80,3 +86,7 @@
 %.s : %.cpp ttf.h arch.h Makefile
 	$(CC) -S $(CFLAGS) -c $<
 
+.SUFFIXES: .cpp
+.cpp.o : ttf.h arch.h Makefile
+	$(CC) $(CFLAGS) -c $<
+
