## xfstt 1.1

=== Makefile ===
--- 
+++ 
@@ -41,10 +41,11 @@
 all : xfstt
 
 install :
-	mkdir /usr/ttfonts ;					\
-	ln -s /DOS/windows/fonts /usr/ttfonts/winfonts ;	\
-	cp xfstt /usr/X11R6/bin/ ;				\
-	cp xfstt.1x /usr/man/X11/man1/ ;			\
+	mkdir -p /usr/share/fonts/truetype ;	\
+	mkdir -p /var/cache/xfstt;			\
+	ln -s /DOS/windows/fonts /usr/share/fonts/truetype/winfonts ;	\
+	cp xfstt /usr/X11R6/bin/ ;	\
+	cp xfstt.1x /usr/man/X11/man1/ ;	\
 	xfstt --sync
 
 clean :
