=== debian/changelog ===
xfstt (1.2.1-3) stable-security; urgency=high

  * New Maintainer.
  * Fixed multiple buffer overflows in the network packet handling:
    CAN-2003-0581.
  * Fixed a possible security problem by checking the byteorder magic in
    the connection handshake:
    CAN-2003-0625, bugtraq id 8255.

 -- Guillem Jover <guillem@debian.org>  Thu, 31 Jul 2003 09:15:49 +0200

xfstt (1.2.1-1) unstable; urgency=low

  * See if this closes it finally (Closes: #141452).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 15 Apr 2002 09:03:46 +0200

xfstt (1.2-1) unstable; urgency=low

  * Fixed versioning issues (Closes: #141452).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon,  8 Apr 2002 12:58:38 +0200

xfstt (1.2-0.5) unstable; urgency=low

  * The old bugs squashing upload.
  * New Mantainer (Closes: #135949)
  * Testing and closing really old bugs (Closes: #55382, #107193, #55382, #54624, #63550, #92872, #76347, #125599, #58716)
  * No files in /usr/doc/ anymore (Closes: #91722)
  * I find xfstt extremely useful and worth being in Debian. (Closes: #80876)
  * Fixed spelling errors (Closes: #127133)
  * /var/cache/xfstt/ now gets removed on purge and remove (Closes: #93756)
  * Closing all the NMU bugs. (Closes: #138509, #138172, #122514, #107193)
  
 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon,  1 Apr 2002 02:38:35 +0200

xfstt (1.2-0.4) unstable; urgency=low

  * Non-maintainer upload.
  * Add build dependancy on xlibs-dev (closes: #138509).
  * Remove postrm - it contains only things debhelper would automatically
    generate if there were an appropriate substitution point.

 -- Mark Brown <broonie@debian.org>  Sat, 16 Mar 2002 12:29:49 +0000

xfstt (1.2-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Say which friends are classes (closes: #138172).

 -- Mark Brown <broonie@debian.org>  Wed, 13 Mar 2002 17:26:51 +0000

xfstt (1.2-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Incorporate 1.2-0.1 with slight changes (Andre is not a developer yet).
  * Apply patch from Andreas Degert <ad@papyrus-gmbh.de> fixing mapping
    of characers to unicode (closes: #122514).

 -- Mark Brown <broonie@debian.org>  Sun,  3 Mar 2002 19:12:28 +0000

xfstt (1.2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Installs /usr/doc/xfstt as a symlink to /usr/share/doc/xfstt, not
    as a real directory. (Closes: #107193)
  * Also added some defaults debhelper checks in order to make the above
    change possible : installs debhelpers's default prerm.debhelper,
    postrm.debhelper and postinst.debhelper as well as maintainer's
    postinst differences from the default postinst.debhelper.
  * Removed Emacs user settings from debian/changelog.
  * Path to common-licenses in debian/copyright now points
    /usr/share/doc/common-licenses.
  * Now using Standards-Version 3.5.6.
  * Added debhelper as a Build-Depend to make lintian happy.
  * Don't use dh_suidregister.
  * Package is now lintian-clean.

 -- Andre Luis Lopes <andrelop@ig.com.br>  Sat, 23 Feb 2002 21:37:28 -0300

xfstt (1.2) unstable; urgency=low

  * Fixes bug in Unix Domain Socket Handling (Bug #66943)
  * added new encodings
  * Fresh compile (BUG# 57269, 64905)

 -- Stephen J. Carpenter <sjc@debian.org>  Mon, 22 Mar 2001 21:36:50 -0500

xfstt (1.1) unstable; urgency=low

  * Fixed Memory corruption (BUG# 49297)
  * Fixed encodings problem (BUG# 49526, 51209 )

 -- Stephen J. Carpenter <sjc@debian.org>  Sun,  7 Nov 1999 23:07:52 -0500

xfstt (1.0) unstable; urgency=low

  * Fixed compile errors and some possible bugs
  * Fixed bug in --encoding to stop hangs (BUG#47383)
  * Now Unlinks unix domain socket on exit
  * Augmented Documentation to reflect changes

 -- Stephen J. Carpenter <sjc@debian.org>  Thu,  4 Nov 1999 18:00:54 -0500

xfstt (0.9.99) unstable; urgency=low

  * Debian maintainer is now upstream maintainer
  * Children now SUID to non-root
  * new encodeings
  * Documentation changes

 -- Stephen J. Carpenter <sjc@debian.org>  Mon, 26 Apr 1999 23:52:53 -0400

xfstt (0.9.10-8) unstable; urgency=low

  * fixed "bashism" in postinst (BUG#29958)
    * added variable name to read statement
  * Updated man page (thanx Josip Rodin) (BUG#32558)
  * Applied patch for Alpha from Bart Warmerdam (BUG#35136)
    * Incorrect type definition for 64 bit arch

 -- Stephen J. Carpenter <sjc@debian.org>  Mon, 12 Apr 1999 00:08:12 -0400

xfstt (0.9.10-7) unstable; urgency=low

  * Changes contributed by Steve Haslam
    * fonts can be on read-only partitions
    * build uses deb-helper 

 -- Stephen J. Carpenter <sjc@debian.org>  Sun, 17 Jan 1999 18:57:08 -0500

xfstt (0.9.10-6) frozen; urgency=low

  * Finnaly fixed bad libc problem

 -- Stephen J. Carpenter <sjc@debian.org>  Sun, 10 Jan 1999 19:06:04 -0600

xfstt (0.9.10-5) frozen; urgency=low

  * recompile - bad libc
  * fixed some spelling errors - almost lintian clean now

 -- Stephen J. Carpenter <sjc@debian.org>  Fri,  8 Jan 1999 22:51:42 -0500

xfstt (0.9.10-4) frozen; urgency=low

  * Minor Documentation changes in man page

 -- Stephen J. Carpenter <sjc@debian.org>  Wed,  6 Jan 1999 16:40:37 -0500

xfstt (0.9.10-3) frozen; urgency=low

  * Init.d script in -2 was horribly broken
    * case statment (accidently deleted) back
    * then and fi leftovers removed (think I forgot to save?)
    * fixes: #29835 #29821

 -- Stephen J. Carpenter <sjc@debian.org>  Sun, 22 Nov 1998 14:14:10 -0500

xfstt (0.9.10-2) frozen; urgency=low

  * init.d script failed with new xbase (BUG# 29442) 
    * /etc/X11/config no longer exists
    * init.d script no longer uses this
    * Docs updated to reflect change

 -- Stephen J. Carpenter <sjc@debian.org>  Thu, 19 Nov 1998 20:42:26 -0500

xfstt (0.9.10-1) unstable; urgency=low

  * New Upstream Source
  * Now init.d script can use start-stop-daemon properly
  * Most Debian-specific changes now part of upstream source
  * Added --daemon option (included upstream just before releace)


