=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: xfstt
 Section: x11
-Priority: optional
-Maintainer: Stephen J. Carpenter <sjc@debian.org>
-Standards-Version: 3.0.1.1
+Priority: extra
+Maintainer: Guillem Jover <guillem@debian.org>
+Build-Depends: debhelper (>> 3.0.0), xlibs-dev
+Standards-Version: 3.5.6
 
 Package: xfstt
 Architecture: any
