## xfstt 1.7

=== debian/changelog ===
xfstt (1.7-8) unstable; urgency=low

  * Fix abort when listing fonts due to fortify support. The current code
    does not pose any real problem as the overwritten variable gets
    initialized later on, although the fix makes it correct and future-proof.
    Thanks to Erik Devriendt <erik.devriendt@siemens.com>. (Closes: #583202)

 -- Guillem Jover <guillem@debian.org>  Wed, 26 May 2010 14:08:40 +0200

xfstt (1.7-7) unstable; urgency=low

  * Switch to source format “3.0 (quilt)”.
  * Fix copyright notice for Vietnamese translation.
  * Now using Standards-Version 3.8.4 (no changes needed).
  * Create the unix socket directory with mode 1777 regardless of umask.
    Which was making xfs not create its socket file due to it running
    unprivileged. (Closes: #579907)
  * Fix segfaults due to font open errors:
    - On error in open() set absbase to 0, so that openError() can be aware
      there's been an error. This happens usually on broken symlinks.
      Thanks to Edward Welbourne <eddy@opera.com>. (Closes: #500724, #559142)
    - Handle mmap() errors, so that we don't end up accessing invalid memory.
  * Fix aborts when building with fortify support due to its bound checks.
    The current code is perfectly valid, but the compiler is too strict.
    Thanks to Niall Creech <niallcreech@googlemail.com>. (Closes: #569316)

 -- Guillem Jover <guillem@debian.org>  Tue, 04 May 2010 06:07:44 +0200

xfstt (1.7-6) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Cleanup init script:
    - Rename debian/init.d to debian/init.
    - Add 'set -e' to the init script, but not for the actual action.
    - Add LSB status action support to the init script.
    - Rename XFSTT variable with DAEMON.
    - Move self script name into a new N variable.
    - Use new NAME variable instead of explicit 'xfstt'.
  * Now using Standards-Version 3.8.3 (no changes needed).
  * Only install useful/helpful example files:
    - Remove sample init script.
    - Remove test script needing the source code. (Closes: #489674)
  * Debconf translations:
    - Added Russian. (Closes: #539462)
      Thanks to Yuri Kozlov <yuray@komyakino.ru>.
  * Fix init script dependency information: (Closes: #542677)
    - Remove conflicting xfs from Provides.
    - Add $remote_fs to Required-Start and Required-Stop.
    - Add X-Start-Before with current display managers.
    Thanks to Petter Reinholdtsen <pere@hungry.com>.
  * Convert all debconf translations to UTF-8.
  * Unify debconf template translation headers.
  * Define a new $x-font-server init.d virtual facility with xfstt as value.

 -- Guillem Jover <guillem@debian.org>  Thu, 10 Sep 2009 22:41:38 +0200

xfstt (1.7-5) unstable; urgency=low

  * Add a Homepage field.
  * Add Vcs-Browser and Vcs-Git fields.
  * Now using Standards-Version 3.8.0.
  * Cleanup debian/copyright:
    - Change 'Upstream Authors' to 'Copyright Holders'.
    - Use UTF-8 copyright symbol.
    - Refer to LGPL-2 from common-licenses instead of just LGPL.
    - Remove packaging svn information.
  * Ignore lintian warning about empty /usr/share/fonts/truetype/ dir:
    - Bump debhelper Build-Depends to 6.0.7.
    - Add a call to dh_lintian.
    - Add lintian-override file.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 08:24:18 +0300

xfstt (1.7-4) unstable; urgency=low

  * Remove Tag field, it's better maintained outside the package.
  * Now using Standards-Version 3.7.3 (no changes needed).
  * Call configure with autotools-dev recommended --build and --host options.
  * Do not ignore make errors on 'debian/rules clean'.
  * Templates:
    - Added Italian. (Closes: #449444)
      Thanks to Luca Monducci <luca.mo@tiscali.it>.
    - Added Dutch. (Closes: #414772)
      Thanks to Bart Cornelis <cobaco@skolelinux.no>.

 -- Guillem Jover <guillem@debian.org>  Wed, 12 Dec 2007 07:07:45 +0200

xfstt (1.7-3) unstable; urgency=low

  * Templates:
    - Updated German. (Closes: #396046)
      Thanks to Helge Kreutzmann <debian@helgefjell.de>.
  * Update Tag field to match new debtags vocabulary.
  * Cleanup of debian/rules:
    - Get errors by removing the trailing - from $(MAKE) install.
    - Remove old autoconf compatibility code reagrding --host and --build.
  * Fix typo in debian/copyright.
  * Unify init script output with the one from xfs.

 -- Guillem Jover <guillem@debian.org>  Sun,  5 Nov 2006 19:47:42 +0200

xfstt (1.7-2) unstable; urgency=low

  * Replace libfs-dev Build-Dependency with x11proto-fonts-dev.
  * Fix debian/watch file, now that Berlios does not provide a browsable
    direct download site.
  * Templates:
    - Added Portuguese. (Closes: #362834)
      Thanks to André Costa <skit@argon.ath.cx>.
    - Switched Catalan to utf-8, and fixed a spelling error.
    - Run debconf-updatepo.
  * Now using Standards-Version 3.7.2 (no changes needed).
  * Add an LSB description header to the init script.
  * Remove really old documentation from ancient upgrade paths:
    - debconf notes that had low priority.
    - FHS compliance and xbase compatibility from README.Debian.
  * Add a Tag field to the binary package, with the data from debtags.

 -- Guillem Jover <guillem@debian.org>  Fri, 15 Sep 2006 03:09:51 +0300

xfstt (1.7-1) unstable; urgency=low

  * New Upstream Source.
    - Added IPv6 support.
  * Templates:
    - Added Swedish. (Closes: #330989)
      Thanks to Daniel Nylander <yeager@lidkoping.net>.
    - Run debconf-updatepo.
  * Upgrade to debhelper compat version 5.
  * Reindent debian/copyright and make the reference to Debian system neutral.
  * Reindent debian/rules and make it stop using stamp files.

 -- Guillem Jover <guillem@debian.org>  Wed, 30 Nov 2005 03:59:58 +0200

xfstt (1.6-6) unstable; urgency=low

  * Templates:
    - Added Vietnamese. (Closes: #324262)

