=== debian/control ===
Source: xfstt
Section: x11
Priority: extra
Maintainer: Guillem Jover <guillem@debian.org>
Homepage: http://developer.berlios.de/projects/xfstt/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/xfstt.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/xfstt.git
Build-Depends: debhelper (>= 7), x11proto-fonts-dev
Standards-Version: 3.8.4

Package: xfstt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: X Font Server for TrueType fonts
 TrueType fonts are generally regarded to be the best scalable fonts
 for displays. Applications needing scalable fonts that are to be
 displayed on a screen benefit most.
 This server will allow X11 applications to use the exact same fonts
 as the TrueType fonts used on Windows operating systems.
 .
 Note: This package does not contain fonts. They must be obtained separately.
