=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.
# Updated by Guillem Jover.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  conf_gnu_type += --build $(DEB_HOST_GNU_TYPE)
else
  conf_gnu_type += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CXXFLAGS = -Wall -g
LDFLAGS =

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -DDEBUG
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2 -fomit-frame-pointer -ffast-math
endif

debian/po/templates.pot: debian/templates
	@debconf-updatepo

config.status: configure
	dh_testdir
	
	./configure \
	  $(conf_gnu_type) \
	  --prefix=/usr \
	  --localstatedir=/var \
	  --mandir=\$${prefix}/share/man

build: config.status debian/po/templates.pot
	dh_testdir
	
	$(MAKE) CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp
	
	[ ! -f Makefile ] || $(MAKE) clean
	
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config/config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config/config.guess
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	cp $(CURDIR)/debian/insserv \
	   $(CURDIR)/debian/xfstt/etc/insserv.conf.d/xfstt
	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xfstt

binary-indep: build install
	# Nothing to do.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installinit
	dh_installman
	dh_installchangelogs CHANGES
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary
