## xfstt 1.8

=== debian/changelog ===
xfstt (1.8-2) unstable; urgency=low

  * Add missing Build-Depends on pkg-config. (Closes: #612255)
  * Now using Standards-Version 3.9.1 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Mon, 07 Feb 2011 18:08:58 +0100

xfstt (1.8-1) unstable; urgency=low

  * New upstream release.
    - Remove patches merged upstream.
    - Update copyright years.
    - Update name of upstream changelog file.
  * Do not install upstream README and TODO files.
  * Send SIGHUP instead of stopping, calling it with --sync and starting
    the daemon from the init script force-reload action, support newly
    introduced in upstream.
  * Add reload as an alias for force-reload on the init script.
  * Rework debian/rules targets:
    - Rename build to build-arch.
    - Add new build-indep target.
    - Add new build target with build-arch as prerequisite.
    - Rename install to install-arch.
    - Add new install target with install-arch as prerequisite.
    - Remove binary-indep prerequisites.
    - Change binary-arch prerequisites to build-arch and install-arch.

 -- Guillem Jover <guillem@debian.org>  Mon, 07 Feb 2011 03:29:42 +0100
