=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Homepage: http://developer.berlios.de/projects/xfstt/
 Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/xfstt.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/xfstt.git
-Build-Depends: debhelper (>= 7), x11proto-fonts-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), pkg-config, x11proto-fonts-dev
+Standards-Version: 3.9.1
 
 Package: xfstt
 Architecture: any
@@ -19,4 +19,3 @@
  as the TrueType fonts used on Windows operating systems.
  .
  Note: This package does not contain fonts. They must be obtained separately.
-
