## xfstt 1.9

=== debian/changelog ===
xfstt (1.9-3) unstable; urgency=medium

  * Add signature checking support to debian/watch, and ship upstream
    signing keys in debian/upstream/signing-key.asc, exported with
    pgp-clean (signing-party) to avoid useless bloat.
  * Remove packaging history from debian/copyright.
  * Now using Standards-Version 3.9.5 (no changes needed).
  * Switch to debhelper compatibility level 9.
  * Switch debian/copyright to machine-readable format 1.0.

 -- Guillem Jover <guillem@debian.org>  Sun, 11 May 2014 06:49:18 +0200

xfstt (1.9-2) unstable; urgency=low

  * Make init script actions idempotent.
  * Create the cache directory (/var/cache/xfstt) before starting the daemon.
  * Use dpkg-buildflags to set CPPFLAGS, CXXFLAGS and LDFLAGS.
  * Use dh_autotools-dev_updateconfig and dh_autotools-dev_restoreconfig
    from autotools-dev instead of ad-hoc code.
  * Enable verbose build output in configure.

 -- Guillem Jover <guillem@debian.org>  Wed, 20 Jun 2012 09:46:06 +0200

xfstt (1.9-1) unstable; urgency=low

  * New upstream release.
    - Remove patches merged upstream.
    - Update copyright years.
    - Copy config.guess and config.sub to build-aux/ instead of config/.
  * Now using Standards-Version 3.9.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Wed, 02 May 2012 13:50:39 +0200
