=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Homepage: http://developer.berlios.de/projects/xfstt/
 Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/xfstt.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/xfstt.git
-Build-Depends: debhelper (>= 7), pkg-config, x11proto-fonts-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), autotools-dev (>= 20120210.1), pkg-config,
+ x11proto-fonts-dev
+Standards-Version: 3.9.5
 
 Package: xfstt
 Architecture: any
