=== debian/watch ===
# Site			Directory	Pattern			Version	Script
version=3
#http://download.berlios.de/xfstt	xfstt-(.*)\.tar\.gz	debian	uupdate
opts=pgpsigurlmangle=s/$/.asc/ \
http://developer.berlios.de/project/showfiles.php?group_id=475	http://prdownload.berlios.de/xfstt/xfstt-([\d\.-]*)\.tar\.gz	debian	uupdate
