## xfstt 1.9.1

=== debian/changelog ===
xfstt (1.9.1-1) unstable; urgency=low

  * New upstream release.
    - Update upstream site.
  * Now using Standards-Version 3.9.6 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 23 Oct 2014 02:41:46 +0200
