=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: x11
 Priority: extra
 Maintainer: Guillem Jover <guillem@debian.org>
-Homepage: http://developer.berlios.de/projects/xfstt/
+Homepage: http://www.hadrons.org/software/xfstt/
 Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/xfstt.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/xfstt.git
 Build-Depends: debhelper (>= 9), autotools-dev (>= 20120210.1), pkg-config,
  x11proto-fonts-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: xfstt
 Architecture: any
