## xfstt 1.9.2

=== debian/changelog ===
xfstt (1.9.2-1) unstable; urgency=low

  * New upstream release.
  * Use https for the copyright Format URL.
  * Switch Vcs-Browser to a cgit URL.
  * Move Debian specific LGPL-2.1 filesystem location in debian/copyright
    to a Comment field.

 -- Guillem Jover <guillem@debian.org>  Tue, 11 Aug 2015 04:04:19 +0200
