=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Guillem Jover <guillem@debian.org>
 Homepage: http://www.hadrons.org/software/xfstt/
-Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/xfstt.git
+Vcs-Browser: http://git.hadrons.org/cgit/debian/pkgs/xfstt.git
 Vcs-Git: git://git.hadrons.org/git/debian/pkgs/xfstt.git
 Build-Depends: debhelper (>= 9), autotools-dev (>= 20120210.1), pkg-config,
  x11proto-fonts-dev
