=== debian/rules ===
--- 
+++ 
@@ -16,17 +16,16 @@
   conf_gnu_type += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-CXXFLAGS = -Wall -g
-LDFLAGS =
+CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
+CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS) -Wall
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
 	CXXFLAGS += -DDEBUG
 endif
 
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	CXXFLAGS += -O0
-else
-	CXXFLAGS += -O2 -fomit-frame-pointer -ffast-math
+ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+	CXXFLAGS += -fomit-frame-pointer -ffast-math
 endif
 
 debian/po/templates.pot: debian/templates
@@ -34,9 +33,11 @@
 
 config.status: configure
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	
 	./configure \
 	  $(conf_gnu_type) \
+	  --disable-silent-rules \
 	  --prefix=/usr \
 	  --localstatedir=/var \
 	  --mandir=\$${prefix}/share/man
@@ -46,7 +47,8 @@
 build-arch: config.status debian/po/templates.pot
 	dh_testdir
 	
-	$(MAKE) CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
+	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
+	        LDFLAGS="$(LDFLAGS)"
 
 build: build-indep build-arch
 
@@ -59,11 +61,7 @@
 	
 	[ ! -f Makefile ] || $(MAKE) clean
 	
-	-test -r /usr/share/misc/config.sub && \
-	  cp -f /usr/share/misc/config.sub config/config.sub
-	-test -r /usr/share/misc/config.guess && \
-	  cp -f /usr/share/misc/config.guess config/config.guess
-	
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 .PHONY: clean
