=== debian/watch ===
# Site			Directory	Pattern			Version	Script
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://archive.hadrons.org/software/xfstt/	xfstt-([\d\.-]*)\.tar\.[gx]z	debian	uupdate
