## xfstt 1.9.3

=== debian/changelog ===
xfstt (1.9.3-3) unstable; urgency=medium

  * Sort dependency fields.
  * Set Rules-Requires-Root to no.
  * Remove --uniform-compression from dpkg-deb call, it is now the default.
  * Switch to debian/watch format version 4.
  * Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Sun, 05 Nov 2017 16:54:23 +0100

xfstt (1.9.3-2) unstable; urgency=medium

  * Line-wrap dependency fields.
  * Now using Standards-Version 4.1.0.
  * Switch to debhelper compatibility level 10.
  * Replace dh_autotools-dev_* commands with dh_update_autotools_config,
    and remove explicit Build-Depends on autotools-dev.
  * Fix indentation for shell code.
  * Remove ancient debconf unregistrations of deprecated questions.
  * Switch Priority from extra to optional.
  * Call start-stop-daemon with «--retry 5» on stop action.
  * Pass --uniform-compression to dpkg-deb.

 -- Guillem Jover <guillem@debian.org>  Sun, 24 Sep 2017 13:04:42 +0200

xfstt (1.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Use https for hadrons.org URLs.
  * Rename debian/README.debian to debian/README.Debian.
  * Fix typos in README.Debian.
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Switch to the dpkg makefile fragments in debian/rules.
  * Enable all hardening features.

 -- Guillem Jover <guillem@debian.org>  Mon, 23 May 2016 02:10:33 +0200
