=== debian/control ===
Source: xfstt
Section: x11
Priority: optional
Maintainer: Guillem Jover <guillem@debian.org>
Homepage: https://www.hadrons.org/software/xfstt/
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/xfstt.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/xfstt.git
Standards-Version: 4.1.1
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 10),
 pkg-config,
 x11proto-fonts-dev,

Package: xfstt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lsb-base,
Description: X Font Server for TrueType fonts
 TrueType fonts are generally regarded to be the best scalable fonts
 for displays. Applications needing scalable fonts that are to be
 displayed on a screen benefit most.
 This server will allow X11 applications to use the exact same fonts
 as the TrueType fonts used on Windows operating systems.
 .
 Note: This package does not contain fonts. They must be obtained separately.
