=== debian/rules ===
--- 
+++ 
@@ -1,24 +1,18 @@
 #!/usr/bin/make -f
-# Made with the aid of dh_make, by Craig Small
-# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
-# Some lines taken from debmake, by Cristoph Lameter.
-# Updated by Guillem Jover.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DEB_CXXFLAGS_MAINT_PREPEND = -Wall
+
+include /usr/share/dpkg/default.mk
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   conf_gnu_type += --build $(DEB_HOST_GNU_TYPE)
 else
   conf_gnu_type += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
-
-CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
-CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS) -Wall
-LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
 	CXXFLAGS += -DDEBUG
@@ -33,7 +27,7 @@
 
 config.status: configure
 	dh_testdir
-	dh_autotools-dev_updateconfig
+	dh_update_autotools_config
 	
 	./configure \
 	  $(conf_gnu_type) \
@@ -61,7 +55,6 @@
 	
 	[ ! -f Makefile ] || $(MAKE) clean
 	
-	dh_autotools-dev_restoreconfig
 	dh_clean
 
 .PHONY: clean
