## xfstt 1.10

=== debian/changelog ===
xfstt (1.10-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:03:43 +0100

xfstt (1.10-1) unstable; urgency=medium

  * New upstream release.
  * Add a primary alternative Build-Depends on xorg-proto-dev for
    x11proto-fonts-dev.
  * Remove empty debian/patches/series.
  * Switch to debhelper compatibility level 11.
  * Now using Standards-Version 4.3.0.

 -- Guillem Jover <guillem@debian.org>  Sat, 09 Feb 2019 17:15:47 +0100
