=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,7 @@
 	dh_prep
 	dh_installdirs
 	
-	cp $(CURDIR)/debian/insserv \
+	cp $(CURDIR)/debian/xfstt.insserv \
 	   $(CURDIR)/debian/xfstt/etc/insserv.conf.d/xfstt
 	
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/xfstt
