## xfstt 1.11

=== debian/changelog ===
xfstt (1.11-2) unstable; urgency=medium

  * Fix typo in package description. (Closes: #969415)
    Thanks to Alberto Luaces <aluaces@udc.es>.
  * Switch to Standards-Version 4.5.1 (no changes needed).
  * Add debian/upstream/metadata file.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 18:58:33 +0100

xfstt (1.11-1) unstable; urgency=medium

  * New upstream release.
    - Handle pre-existing .fonts-unix socket directory. (Closes: #962988)
  * Namespace debconf templates file too. It also required renaming the file
    in the debian/po/POTFILES.in file.
  * Switch to debhelper compatibility level 13.
  * Switch from debian/compat to debhelper-commpat in Build-Depends.
  * Switch to Standards-Version 4.5.0 (no changes needed).
  * Switch to dh sequencer.
  * Stop passing -fomit-frame-pointer, which makes debugging harder.
  * Mention in package description that the font server support is disabled
    in Debian's X.Org server. (Closes: #858512)
  * Switch from a boolean to free form OPTIONS for LISTEN_TCP setting in
    /etc/default/xfstt, to make it possible to share it between sysvinit
    and systemd.
  * Add new systemd service file.

 -- Guillem Jover <guillem@debian.org>  Fri, 14 Aug 2020 15:54:58 +0200
