=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Homepage: https://www.hadrons.org/software/xfstt/
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/xfstt.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/xfstt.git
-Standards-Version: 4.1.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  pkg-config,
- x11proto-fonts-dev,
+ x11proto-dev | x11proto-fonts-dev,
 
 Package: xfstt
 Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -25,4 +27,7 @@
  This server will allow X11 applications to use the exact same fonts
  as the TrueType fonts used on Windows operating systems.
  .
+ Note: On Debian and derivatives, the X.Org server has the font server support
+ disabled, so xfstt is mostly useful to serve fonts to remote systems.
+ .
  Note: This package does not contain fonts. They must be obtained separately.
