=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_CXXFLAGS_MAINT_PREPEND = -Wall

include /usr/share/dpkg/default.mk

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -DDEBUG
endif

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -ffast-math
endif

%:
	dh $@

execute_after_dh_installinit:
	cp $(CURDIR)/debian/xfstt.insserv \
	   $(CURDIR)/debian/xfstt/etc/insserv.conf.d/xfstt

override_dh_installchangelogs:
	dh_installchangelogs NEWS
